commit:     cec0fab2a8cb74462bc0208cf722672fe6bb5575
Author:     Chris Reffett <creffett <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 21:43:01 2015 +0000
Commit:     Chris Reffett <creffett <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 21:44:09 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cec0fab2

app-text/sword: Version bump

Package-Manager: portage-2.2.26

 app-text/sword/Manifest           |  1 +
 app-text/sword/sword-1.7.4.ebuild | 78 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/app-text/sword/Manifest b/app-text/sword/Manifest
index b8141c6..5d59b68 100644
--- a/app-text/sword/Manifest
+++ b/app-text/sword/Manifest
@@ -1,3 +1,4 @@
 DIST sword-1.6.2.tar.gz 1965427 SHA256 
af76c7d54135c444b09eeaafb49229ef5201a4e1d44539d9341dceaeb60a87b9 SHA512 
3a62364ce528540a338a163d5fe48ce4a0263c8af6d5a955ab6b5182f122a65130683d6cc6a8eb9fe3a41661d3bd3fe5bf830aa8329c2b8a6d47f010461b32b4
 WHIRLPOOL 
50fc2cc6a18a269c7f1eca16ed2f659b84ed0a53d520b4e7935bf0af10c96e9c0b2f26c7e3088edf8311564620fb778fc1f63c0b78c449ad165fee9843fb753d
 DIST sword-1.7.2.tar.gz 2127944 SHA256 
ac7aace0ecb7a405d4b4b211ee1ae5b2250bb5c57c9197179747c9e830787871 SHA512 
1ee9565f36d113c9b21883a78004e895ab2f74d9c9f1909058c204e38647a96938de2e544a68858d2c4b048b67ba868049c1c09f0067bc9819a5a85f75285ebe
 WHIRLPOOL 
894e4d96b2ff61ac19de853ff6b17aa2279fb7b5b571c1030ba18daefbea8997bd61d386ff3a1dff49d997c69d6acf2a83094ad6ec5c593acca3dc7fb1d488a0
 DIST sword-1.7.3.tar.gz 2149459 SHA256 
5a3d87ff155d5ecb0cfec052ba333b2b74d9273e2cc66fb1ca75747dfd8ea9ea SHA512 
4805215954211584ed6b00869a31e1d317d9fa460db2d2e8c5c396f0154979949ec8b770ac8c6ff20106d8beea75d2a824c7e6b6ce5138fc3e558ab4b5614f2a
 WHIRLPOOL 
a0ccc912f72835cc30045c21da9aff6209cac8d356f6c71031761e7e884916a4707712d0d22df01281f5ea5e29759d01951d5e9908c85332fc569c1a9543abe6
+DIST sword-1.7.4.tar.gz 2157882 SHA256 
995da8cf5a207c1f09809bf4b9db0bd7d267da5fcdb9d6666c9b313edd9d213d SHA512 
4c8b183e613367364439cc7a8a842012f75180fccc8eb775b9af2dc4c10f39c152261d35f0aadaaa91a11df36ab1a4057c2edc50ea4b0b3bb0ab0a847ff68f75
 WHIRLPOOL 
a998552c18b5913d88f091d7dfec307e409401a01eb6011b62c7b4d3ea81355f816f013d7a3165ada2fa54454fdea980574091d8006d05f161cf55438f1df14b

diff --git a/app-text/sword/sword-1.7.4.ebuild 
b/app-text/sword/sword-1.7.4.ebuild
new file mode 100644
index 0000000..1567283
--- /dev/null
+++ b/app-text/sword/sword-1.7.4.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic
+
+DESCRIPTION="Library for Bible reading software"
+HOMEPAGE="http://www.crosswire.org/sword/";
+SRC_URI="http://www.crosswire.org/ftpmirror/pub/${PN}/source/v${PV%.*}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd ~ppc-macos"
+IUSE="curl debug doc icu static-libs"
+
+RDEPEND="sys-libs/zlib
+       curl? ( net-misc/curl )
+       icu? ( dev-libs/icu:= )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+"
+
+DOCS="AUTHORS CODINGSTYLE ChangeLog README"
+
+RESTRICT="test"        #Restricting for now, see bug 313207
+
+src_prepare() {
+       sed -i \
+               -e '/FLAGS/s:-g3::' -e '/FLAGS/s:-O0::' \
+               -e '/FLAGS/s:-O2::' -e '/FLAGS/s:-O3::' \
+               configure || die
+
+       sed -i -e '/FLAGS/s:-Werror::' configure || die #408289
+       sed -i -e '/^#inc.*curl.*types/d' src/mgr/curl*.cpp || die #378055
+
+       cat <<-EOF > "${T}"/${PN}.conf
+       [Install]
+       DataPath=${EPREFIX}/usr/share/${PN}/
+       EOF
+}
+
+src_configure() {
+       # TODO: Why is this here and can we remove it?
+       strip-flags
+
+       econf \
+               $(use_enable static-libs static) \
+               $(use_enable debug) \
+               --with-zlib \
+               $(use_with icu) \
+               --with-conf \
+               $(use_with curl)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -exec rm -f {} +
+
+       if use doc; then
+               rm -rf examples/.cvsignore
+               rm -rf examples/cmdline/.cvsignore
+               rm -rf examples/cmdline/.deps
+               cp -R samples examples "${ED}"/usr/share/doc/${PF}/
+       fi
+
+       insinto /etc
+       doins "${T}"/${PN}.conf
+}
+
+pkg_postinst() {
+       elog "Check out http://www.crosswire.org/sword/modules/";
+       elog "to download modules that you would like to use with SWORD."
+       elog "Follow module installation instructions found on"
+       elog "the web or in ${EROOT}/usr/share/doc/${PF}/"
+}

Reply via email to